# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section free

Name:           docbook-xsl-java
Version:        1.67.0
Release:        3%{?dist}
Epoch:          0
Summary:        Java extensions for DocBook XSL
Group:          Text Processing/Markup/XML
License:        Distributable
URL:            http://docbook.sourceforge.net/
Source:         http://download.sf.net/docbook/docbook-xsl-1.67.0.tar.bz2
Patch0:         %{name}-crosslink.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  java-javadoc
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  saxon >= 0:6.4.3
BuildRequires:  saxon-javadoc
BuildRequires:  xalan-j2
BuildRequires:  xalan-j2-javadoc
BuildRequires:  xerces-j2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Java extensions for DocBook XSL Stylesheets.

%package xalan
Group:          Text Processing/Markup/XML
Summary:        Xalan extensions for DocBook XSL
Requires:       xalan-j2, xerces-j2

%description xalan
Xalan extensions for DocBook XSL.

%package saxon
Group:          Text Processing/Markup/XML
Summary:        SAXON extensions for DocBook XSL
Requires:       saxon >= 0:6.4.3

%description saxon
SAXON extensions for DocBook XSL.

%package xalan-javadoc
Group:          Development/Documentation
Summary:        Javadoc for Xalan extensions for DocBook XSL

%description xalan-javadoc
Javadoc for Xalan extensions for DocBook XSL.

%package saxon-javadoc
Group:          Development/Documentation
Summary:        Javadoc for SAXON extensions for DocBook XSL

%description saxon-javadoc
Javadoc for SAXON extensions for DocBook XSL.

%prep
%setup -q -n docbook-xsl-%{version}
%patch0 -p0
rm -r extensions/*.jar
%{__perl} -pi \
    -e 's|org\.apache\.xpath\.DOMHelper|org.apache.xml.utils.DOMHelper|g' \
  extensions/xalan2/com/nwalsh/xalan/Table.java \
  extensions/xalan2/com/nwalsh/xalan/Verbatim.java

%build
export CLASSPATH=$(build-classpath saxon xalan-j2 xerces-j2)
export OPT_JAR_LIST=:
pushd extensions
%{ant} \
  -Dj2se.javadoc=%{_javadocdir}/java \
  -Dxalan.javadoc=%{_javadocdir}/xalan-j2 \
  -Dsaxon.javadoc=%{_javadocdir}/saxon
popd


%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p extensions/build/lib/docbook-xsl-xalan.jar \
  $RPM_BUILD_ROOT/%{_javadir}/docbook-xsl-xalan-%{version}.jar
cp -p extensions/build/lib/docbook-xsl-saxon.jar \
  $RPM_BUILD_ROOT/%{_javadir}/docbook-xsl-saxon-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-xalan-%{version}
cp -pr extensions/build/api/xalan/* \
  $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-xalan-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-saxon-%{version}
cp -pr extensions/build/api/saxon/* \
  $RPM_BUILD_ROOT%{_javadocdir}/docbook-xsl-saxon-%{version}
pushd $RPM_BUILD_ROOT%{_javadocdir}
ln -s docbook-xsl-xalan-%{version} docbook-xsl-xalan
ln -s docbook-xsl-saxon-%{version} docbook-xsl-saxon
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post xalan-javadoc
rm -f %{_javadocdir}/%{name}-xalan # buggy old packages

%post saxon-javadoc
rm -f %{_javadocdir}/%{name}-saxon # buggy old package

%files xalan
%defattr(0644,root,root,0755)
%doc extensions/xalan2/com/nwalsh/xalan/ChangeLog
%{_javadir}/docbook-xsl-xalan*.jar

%files saxon
%defattr(0644,root,root,0755)
%doc extensions/saxon643/com/nwalsh/saxon/ChangeLog
%{_javadir}/docbook-xsl-saxon*.jar

%files xalan-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/docbook-xsl-xalan-%{version}
%{_javadocdir}/docbook-xsl-xalan

%files saxon-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/docbook-xsl-saxon-%{version}
%{_javadocdir}/docbook-xsl-saxon

%changelog
* Tue Mar 10 2009 David Walluck <dwalluck@redhat.com> 0:1.67.0-3
- build for JPP-5

* Thu Jan 05 2006 Fernando Nasser <fnasser@redhat.com> - 0:1.67.0-2jpp
- First JPP 1.7 build

* Sat Nov 13 2004 Ville Skyttä <scop at jpackage.org> - 0:1.67.0-1jpp
- Update to 1.67.0.

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.62.4-2jpp
- Build with ant-1.6.2

* Mon Sep 29 2003 Ville Skyttä <scop at jpackage.org> - 0:1.62.4-1jpp
- Update to 1.62.4.
- Mark javadocs as %%doc.
- Crosslink with local SDK javadocs.
- %%ghost'ify and own unversioned javadoc dir symlinks.

* Sun Aug 31 2003 Ville Skyttä <scop at jpackage.org> - 0:1.62.0-1jpp
- Update to 1.62.0.
- Fix versionless javadoc dir symlinks.
- Crosslink with local javadocs.

* Mon Jun  2 2003 Ville Skyttä <scop at jpackage.org> - 0:1.61.2-1jpp
- Update to 1.61.2 (just to track releases, no changes to Java stuff).

* Sun May 11 2003 Ville Skyttä <scop at jpackage.org> - 0:1.61.0-1jpp
- Update to 1.61.0.
- The xalan-j2 extension Requires and BuildRequires xerces-j2.
- Include non-versioned javadoc symlinks.

* Fri Apr 18 2003 Ville Skyttä <scop at jpackage.org> - 0:1.60.1-2jpp
- Rebuild for JPackage 1.5.

* Sat Jan 25 2003 Ville Skyttä <scop at jpackage.org> - 1.60.1-1jpp
- Update to 1.60.1 (just to track releases, no changes to Java stuff).

* Tue Dec 10 2002 Ville Skyttä <scop at jpackage.org> - 1.58.1-1jpp
- Update to 1.58.1.
- Our build.xml was accepted upstream, it's in the tarball now :)
- Fixed javadoc Group tag.

* Tue Oct 22 2002 Ville Skyttä <scop at jpackage.org> - 1.57.0-1jpp
- Update to 1.57.0 (just to track releases, no changes to Java stuff).

* Fri Oct 11 2002 Ville Skyttä <scop at jpackage.org> - 1.56.1-1jpp
- Initial JPackage release.
